<div class="example-container mat-elevation-z4" fxLayout="column" fxLayoutGap="20px">
  <div fxLayout="row" class="div-row" fxLayoutGap="10px">
  </div>

  <div>
    <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid"
      [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData" [rowSelection]="rowSelection"
      [singleClickEdit]="true" [floatingFilter]="true" [animateRows]="true" [gridOptions]="gridOptions" [pagination]="pagination"
      [paginationPageSize]="10" (firstDataRendered)="onFirstDataRendered($event)" (rowSelected)="onRowSelected($event)"
      [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)" [overlayLoadingTemplate]="overlayLoadingTemplate"
      [overlayNoRowsTemplate]="overlayNoRowsTemplate">
    </ag-grid-angular>
  </div>
</div>